# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

kind-dependencies:
    # non-system python
    - toolchain

transforms:
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.task:transforms

task-defaults:
    run-on-repo-type: [hg]
    use-python: default

tasks:
    tps-xpi:
        description: Build the TPS add-on
        index:
            product: firefox
            job-name: addons.tps
        treeherder:
            platform: linux64/opt
            symbol: TPS(addon)
            kind: build
            tier: 1
        run-on-projects: [mozilla-central]
        worker-type: b-linux
        worker:
            docker-image: {in-tree: debian12-base}
            max-run-time: 1800
            artifacts:
                - type: file
                  name: public/tps.xpi
                  path: /builds/worker/checkouts/gecko/tps-out/tps.xpi
        run:
            using: mach
            mach: tps-build --dest tps-out
            sparse-profile: tps
        optimization:
            skip-unless-missing-or-changed:
                # index path where task should be found (if missing will cause task to run)
                - "gecko.v2.mozilla-central.latest.firefox.addons.tps"
                # file paths that should also cause task to run when modified
                - ["services/sync/tps/extensions/tps/**"]
